org.eclipse.rdf4j.sail

## Class SailConnectionQueryPreparer

- java.lang.Object
- - org.eclipse.rdf4j.sail.SailConnectionQueryPreparer

- All Implemented Interfaces:
    QueryPreparer

      public class SailConnectionQueryPreparer
      extends Object
      implements QueryPreparer

  QueryPreparer for use with Sails.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SailConnectionQueryPreparer(SailConnection con, boolean includeInferred, TripleSource source)`
    `SailConnectionQueryPreparer(SailConnection con, boolean includeInferred, ValueFactory vf)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ParserConfig` | `getParserConfig()`
    `TripleSource` | `getTripleSource()`
    `BooleanQuery` | `prepare(ParsedBooleanQuery askQuery)`
    `GraphQuery` | `prepare(ParsedGraphQuery graphQuery)`
    `TupleQuery` | `prepare(ParsedTupleQuery tupleQuery)`
    `Update` | `prepare(ParsedUpdate graphUpdate)`
    `void` | `setParserConfig(ParserConfig parserConfig)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SailConnectionQueryPreparer

          public SailConnectionQueryPreparer(SailConnection con,
                                             boolean includeInferred,
                                             ValueFactory vf)

    - #### SailConnectionQueryPreparer

          public SailConnectionQueryPreparer(SailConnection con,
                                             boolean includeInferred,
                                             TripleSource source)

  - ### Method Detail

    - #### setParserConfig

          public void setParserConfig(ParserConfig parserConfig)

    - #### getParserConfig

          public ParserConfig getParserConfig()

    - #### prepare

          public BooleanQuery prepare(ParsedBooleanQuery askQuery)

      Specified by:
        `prepare` in interface `QueryPreparer`

    - #### prepare

          public TupleQuery prepare(ParsedTupleQuery tupleQuery)

      Specified by:
        `prepare` in interface `QueryPreparer`

    - #### prepare

          public GraphQuery prepare(ParsedGraphQuery graphQuery)

      Specified by:
        `prepare` in interface `QueryPreparer`

    - #### prepare

          public Update prepare(ParsedUpdate graphUpdate)

      Specified by:
        `prepare` in interface `QueryPreparer`

    - #### getTripleSource

          public TripleSource getTripleSource()

      Specified by:
        `getTripleSource` in interface `QueryPreparer`

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.